%define anolis_release 1
%undefine __cmake_in_source_build
%global so_ver 1.0.3

Name:           zopfli
Version:        %{so_ver}
Release:        %{anolis_release}%{?dist}
Summary:        Zlib compatible better compressor

License:        ASL 2.0
URL:            https://github.com/google/%{name}
Source0:        %{URL}/archive/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake

%description
Zopfli is a compression algorithm bit-stream compatible with
compression used in gzip, Zip, PNG, HTTP requests, and others. Zopfli
compresses more (~5%) but is slower (~100x) and uses more CPU, and is
hence best suited for applications where data is compressed once and
sent over a network many times, for example, static content for the
web.

%package        devel
Requires:       %{name} = %{version}-%{release}
Summary:        Development files for zopfli and zopflipng.

%description    devel
Devolopment files for zopfli and zopflipng.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{name}-%{version}

%build
%cmake -DZOPFLI_BUILD_SHARED=ON
%cmake_build

%install
%cmake_install

%files
%license COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}png

%{_libdir}/lib%{name}.so.1
%{_libdir}/lib%{name}.so.%{so_ver}

%{_libdir}/lib%{name}png.so.1
%{_libdir}/lib%{name}png.so.%{so_ver}

%files          devel
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}png.so

%{_includedir}/%{name}.h
%{_includedir}/%{name}png_lib.h
%{_libdir}/cmake/Zopfli/*.cmake

%files doc
%doc CONTRIBUTORS README README.zopflipng

%changelog
* Sat Mar 25 2023 happy_orange <songnannan@linux.alibaba.com> - 1.0.3-1
- init package from upstream
